:root {
    --primary-color: #E2732D;
    --secondary-color: #D94923;
    --info-color-1: #D98823;
    --info-color-2: #D96823;
    --info-color-3: #D92923;
    --info-color-4: #D9A023;
    --section-primary: #FFF;
    --section-secondary: #e9e8e9;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Trebuchet MS', sans-serif;
    background-color: #000;
    margin: 0;

    a {
        text-decoration: none;
        color: #FFF;
        cursor: pointer;

        &:hover {
            color: var(--info-color-4);
        }
    }

    p {
        font-size: 20px;
    }
}

header {
    height: 50px;
    position: fixed;
    width: 100%;
    background-color: #000;
    box-shadow: 0px 5px 16px 0px rgba(0, 0, 0, 0.75);
    -webkit-box-shadow: 0px 5px 16px 0px rgba(0, 0, 0, 0.75);
    z-index: 50;

    img {
        height: 35px;
        margin: 7px 5px 5px 20px;
    }

    .right {
        float: right;
        height: 100%;
        display: flex;
        align-items: center;
        padding: 0 10px 0 10px;

        a {
            margin-right: 40px;
        }
    }
}

section {
    padding: 50px 5% 50px 5%;
    background-color: var(--section-primary);

    .title {
        font-size: 30px;
        color: #343434;
    }
}

section.sb2 {
    background-color: var(--section-secondary);
}

section#attraction {
    padding: 0;
    height: 100vh;
    background-image: url(/assets/img/banner.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;

    .content {
        position: absolute;
        margin: auto;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        text-align: center;

        .title {
            color: #ccc;
            font-size: 50px;
        }

        .title::after {
            position: absolute;
            left: -5%;
            content: " ";
            display: block;
            border-bottom: 3px solid #ccc;
            width: 110%;
        }

        >div {
            display: block;
            position: relative;
            max-width: 300px;
            margin: auto;
        }
    }

    .joinUs {
        width: 300px;
        height: 40px;
        background-color: initial;
        border-style: none;
        color: #fff;
        cursor: pointer;
        font-size: 16px;
        font-weight: 800;
        min-height: 64px;
        padding: 19px 26px;
        text-align: center;
        text-decoration: none;
        touch-action: manipulation;
    }

    .joinUs:before,
    .joinUs:after {
        border-radius: 80px;
    }

    .joinUs:before {
        background-color: rgba(249, 58, 19, .32);
        content: "";
        height: 100%;
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: -2;
    }

    .joinUs:after {
        background-color: initial;
        background-image: linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
        bottom: 4px;
        content: "";
        display: block;
        left: 4px;
        overflow: hidden;
        position: absolute;
        right: 4px;
        top: 4px;
        transition: all 100ms ease-out;
        z-index: -1;
    }

    .joinUs:hover:not(:disabled):after {
        bottom: 0;
        left: 0;
        right: 0;
        top: 0;
        transition-timing-function: ease-in;
    }

    .joinUs:active:not(:disabled) {
        color: #ccc;
    }

    .joinUs:active:not(:disabled):after {
        background-image: linear-gradient(0deg, rgba(0, 0, 0, .2), rgba(0, 0, 0, .2)), linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
        bottom: 4px;
        left: 4px;
        right: 4px;
        top: 4px;
    }

    .joinUs:disabled {
        cursor: default;
        opacity: .24;
    }
}

#aboutUs {
    .content {
        display: grid;
        grid-template-columns: 1fr 1fr;

        img {
            width: 70%;
            margin: auto;
            rotate: -5deg;
            box-shadow: 6px 20px 0px 2px rgba(0, 0, 0, 0.57);
            -webkit-box-shadow: 6px 20px 0px 2px rgba(0, 0, 0, 0.57);
            -moz-box-shadow: 6px 20px 0px 2px rgba(0, 0, 0, 0.57);
            border-radius: 10px;
        }

        p {
            margin: 0 0 50px 0;
        }

        strong {
            font-size: 25px;
            color: var(--secondary-color);
        }
    }
}

section#theBest {
    background-image: url(/assets/img/logo-bck.webp);
    background-repeat: no-repeat;
    background-size: contain;
    min-height: 500px;
    padding-left: 300px;

    h6 {
        font-size: 25px;
        color: var(--info-color-2);
        margin: 40px 0 28px 0;
    }

    li:first-letter {
        text-transform: uppercase;
    }

    li {
        text-transform: lowercase;
        margin: 10px 0 10px 0;
        font-size: 20px;

    }
}

section#joinSteps {
    text-align: center;

    .joinUs {
        background-color: var(--info-color-1);
        color: #000;
        font-size: 25px;
        padding: 10px 15px 10px 15px;
        border-radius: 15px;
        cursor: pointer;
        border: 2px solid var(--info-color-4);
    }

    .joinUs:hover {
        background-color: var(--info-color-4);
    }
}

footer {
    background-color: var(--primary-color);
    height: 300px;
    padding: 30px 20px 0 20px;

    .container:before {
        content: "";
        background-image: linear-gradient(0, transparent, var(--primary-color)), url(/assets/img/food-bck.webp);
        z-index: 1;
        opacity: 0.2;
        position: absolute;
        left: 0;
        right: 0;
        height: 300px;
    }

    h5 {
        font-size: 20px;
        text-transform: uppercase;
        margin: 5px;
    }

    .content {
        position: relative;
        z-index: 2;
    }

    ul {
        list-style-type: none;

        li {
            padding: 8px 0 8px 0;
        }
    }

    .social-icon {
        width: 20px;
        position: relative;
        top: 5px;
        padding-right: 5px;
    }

    a {
        text-decoration: none;
        color: #000;
        cursor: pointer;

        &:hover {
            color: #FFF;
        }
    }
}

.lg-6 {
    display: inline-block;
    width: 50%;
}


.modal {
    display: none;
    position: fixed;
    z-index: 50;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);

    #send {
        background-color: var(--info-color-1);
        color: #000;
        font-size: 25px;
        padding: 5px 15px;
        border-radius: 6px;
        cursor: pointer;
        border: aliceblue;
    }

    #send:hover {
        background-color: var(--info-color-4);
    }

    #contactStatus {
        color: green;

        &.error {
            color: red;
        }
    }
}

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-height: 78%;
    overflow-y: auto;
}

.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

form {
    text-align: center;
}

.form-group {
    .form-item {
        display: inline-block;
        width: 49.63%;
    }
}

.form-item {
    text-align: left;
    padding: 15px 0 15px 0;
    position: relative;

    label {
        display: inherit;
    }

    input {
        margin-top: 8px;
    }

    input[type=text],
    input[type=tel],
    input[type=email] {
        width: 100%;
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }

    input[type=submit]:hover {
        background-color: #45a049;
    }

    &.error {
        span {
            position: absolute;
            display: block;

            position: absolute;
            bottom: 5px;
            left: 0;
            font-size: 12px;
        }

        span,
        label {
            color: var(--info-color-3);
        }

        input {
            border: 1px solid var(--info-color-3) !important;
        }
    }
}

@media screen and (max-width: 990px) {
    #aboutUs {
        .content {
            grid-template-columns: 1fr;

            >div {
                margin-bottom: 30px;
            }
        }
    }

    .form-group {
        .form-item {
            display: block;
            width: 100%;
        }
    }
}

@media screen and (max-width: 870px) {
    section#theBest {
        padding: 0 0 0 80px;

        .content {
            background-color: #e9e8e9d9;
            position: relative;
            padding: 10px 20px 10px 20px;
            min-height: 550px;
        }
    }
}

@media screen and (max-width: 370px) {
    section#theBest {
        background-image: none;
        padding: 20px;

        .content {
            padding: 0;
        }
    }
}


#messageModal {
    .modal-content {
        max-width: 400px;
        text-align: center;
        width: 70%;

        .close {
            float: none;
            background-color: var(--info-color-1);
            color: #000;
            font-weight: normal;
            font-size: 20px;
            padding: 2px 20px;
            margin-top: 15px;
            border: 1px solid #e3e3e3;

            &:hover {
                background-color: var(--info-color-4);
                cursor: pointer;
            }
        }
    }
}